Summary: RPM installer/updater config file
Name: yum-conf
Version: 303
Release: 1.SL
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service

%description
Configuration files to setup yum.conf, as well as setup yum in you daily cron.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/yum.d
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi
exit 0

%triggerin -- firstboot
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%config %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/yum
%config %{_sysconfdir}/logrotate.d/yum
%{_sysconfdir}/yum.d/
%{_sysconfdir}/yum.conf.301
%{_sysconfdir}/yum.conf.302
%{_sysconfdir}/yum.conf.303
%{_sysconfdir}/yum.conf.contrib
%{_sysconfdir}/yum.conf.dag

%changelog
* Tue Aug 31 2004 Troy Dawson <dawson@fnal.gov> 303-1.SL
- Changed the 302 yum-conf to 303

* Mon Aug 30 2004 Troy Dawson <dawson@fnal.gov> 302-3.SL
- Removed add-on's section from the cron.daily
- Changed DEFAULTSERVER from linux21.fnal.gov to ftp.scientificlinux.org
  in the cron.daily script
- Added a commented out pointer to our local copy of DAG's repository

* Wed Jun 09 2004 Troy Dawson <dawson@fnal.gov> - 302-2.SL
- Changed main distribution server to ftp.scientificlinux.org

* Fri May 14 2004 Troy Dawson <dawson@fnal.gov> - sl301-8
- Did a rewrite of yum.cron to allow for the distribution sites to be
  in easily modified files.
- Renamed some of the scripts in /etc/yum.d
- Fixed names in yum.conf 

* Sun Apr 18 2004 Connie Sieh <csieh@fnal.gov>
- Added tolerant=1 to yum.cron for updates so as to get as many updates as
- we can 

* Wed Mar 24 2004 Troy Dawson <dawson@fnal.gov>
- Changed the excludes file to use globs on kernel and openafs

* Thu Jan 15 2004 Troy Dawson <dawson@fnal.gov>
- Fixed a minor bug with the wget stuff

* Fri Dec 5 2003 Troy Dawson <dawson@fnal.gov>
- Changed ncftpls to wget when checking the servers

* Fri Aug 15 2003 Troy Dawson <dawson@fnal.gov>
- Updated from new yum 2.0.1, which made the following changes
- init.d script, copied straight from 2.0.1
- yum.conf (and template) added tolerant=1, exactarch=1

%changelog
* Mon Apr 7 2003 Troy Dawson <dawson@fnal.gov>
- Changed the default to 901 from 731

* Fri Apr 4 2003 Troy Dawson <dawson@fnal.gov>
- First Go at the 9.0.1 config files.

* Wed Mar 26 2003 Troy Dawson <dawson@fnal.gov>
- Split the yum-conf completely away from the yum rpm and made it release
dependant.
